POST api/NTCosCompany/CheckRequiredQuestionForEachSection
Request Information
URI Parameters
None.
Body Parameters
Collection of CompanyQuestionDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| CompanyQuestionId | integer |
None. |
|
| QuestionId | integer |
None. |
|
| QuestionStatus | boolean |
None. |
|
| QuestionDesc | string |
String length: inclusive between 0 and 200 |
|
| QuestionCode | string |
String length: inclusive between 0 and 50 |
|
| Screen | string |
String length: inclusive between 0 and 250 |
|
| Section | string |
String length: inclusive between 0 and 50 |
|
| IsNotification | boolean |
None. |
|
| NotificationTypeId | integer |
None. |
|
| RequiredStatus | boolean |
None. |
|
| Sequence | integer |
None. |
|
| CosEccRequired | boolean |
None. |
|
| COSServiceId | integer |
None. |
|
| COSSubServiceId | integer |
None. |
|
| ServiceName | string |
String length: inclusive between 0 and 50 |
|
| SubServiceName | string |
String length: inclusive between 0 and 50 |
|
| SectionNo | integer |
None. |
|
| ScreenNo | integer |
None. |
|
| IsDefault | boolean |
None. |
|
| IsDisabled | boolean |
None. |
|
| IsTelemedFormRequired | boolean |
None. |
|
| ValidFlag | boolean |
None. |
|
| DateCreated | date |
None. |
|
| DateUpdated | date |
None. |
|
| UserIDCreated | integer |
None. |
|
| UserIDUpdated | integer |
None. |
|
| CompanyCode | string |
String length: inclusive between 0 and 10 |
|
| IsExcludeDiscount | boolean |
None. |
Request Formats
application/json, text/json
Sample:
[
{
"CompanyQuestionId": 1,
"QuestionId": 2,
"QuestionStatus": true,
"QuestionDesc": "sample string 4",
"QuestionCode": "sample string 5",
"Screen": "sample string 6",
"Section": "sample string 7",
"IsNotification": true,
"NotificationTypeId": 1,
"RequiredStatus": true,
"Sequence": 1,
"CosEccRequired": true,
"COSServiceId": 1,
"COSSubServiceId": 1,
"ServiceName": "sample string 9",
"SubServiceName": "sample string 10",
"SectionNo": 1,
"ScreenNo": 1,
"IsDefault": true,
"IsDisabled": true,
"IsTelemedFormRequired": true,
"ValidFlag": true,
"DateCreated": "2026-06-20T05:51:32.2351673-07:00",
"DateUpdated": "2026-06-20T05:51:32.2351673-07:00",
"UserIDCreated": 15,
"UserIDUpdated": 16,
"CompanyCode": "sample string 17",
"IsExcludeDiscount": true
},
{
"CompanyQuestionId": 1,
"QuestionId": 2,
"QuestionStatus": true,
"QuestionDesc": "sample string 4",
"QuestionCode": "sample string 5",
"Screen": "sample string 6",
"Section": "sample string 7",
"IsNotification": true,
"NotificationTypeId": 1,
"RequiredStatus": true,
"Sequence": 1,
"CosEccRequired": true,
"COSServiceId": 1,
"COSSubServiceId": 1,
"ServiceName": "sample string 9",
"SubServiceName": "sample string 10",
"SectionNo": 1,
"ScreenNo": 1,
"IsDefault": true,
"IsDisabled": true,
"IsTelemedFormRequired": true,
"ValidFlag": true,
"DateCreated": "2026-06-20T05:51:32.2351673-07:00",
"DateUpdated": "2026-06-20T05:51:32.2351673-07:00",
"UserIDCreated": 15,
"UserIDUpdated": 16,
"CompanyCode": "sample string 17",
"IsExcludeDiscount": true
}
]
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfListOfCompanyQuestionDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | Collection of CompanyQuestionDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": [
{
"CompanyQuestionId": 1,
"QuestionId": 2,
"QuestionStatus": true,
"QuestionDesc": "sample string 4",
"QuestionCode": "sample string 5",
"Screen": "sample string 6",
"Section": "sample string 7",
"IsNotification": true,
"NotificationTypeId": 1,
"RequiredStatus": true,
"Sequence": 1,
"CosEccRequired": true,
"COSServiceId": 1,
"COSSubServiceId": 1,
"ServiceName": "sample string 9",
"SubServiceName": "sample string 10",
"SectionNo": 1,
"ScreenNo": 1,
"IsDefault": true,
"IsDisabled": true,
"IsTelemedFormRequired": true,
"ValidFlag": true,
"DateCreated": "2026-06-20T05:51:32.2351673-07:00",
"DateUpdated": "2026-06-20T05:51:32.2351673-07:00",
"UserIDCreated": 15,
"UserIDUpdated": 16,
"CompanyCode": "sample string 17",
"IsExcludeDiscount": true
},
{
"CompanyQuestionId": 1,
"QuestionId": 2,
"QuestionStatus": true,
"QuestionDesc": "sample string 4",
"QuestionCode": "sample string 5",
"Screen": "sample string 6",
"Section": "sample string 7",
"IsNotification": true,
"NotificationTypeId": 1,
"RequiredStatus": true,
"Sequence": 1,
"CosEccRequired": true,
"COSServiceId": 1,
"COSSubServiceId": 1,
"ServiceName": "sample string 9",
"SubServiceName": "sample string 10",
"SectionNo": 1,
"ScreenNo": 1,
"IsDefault": true,
"IsDisabled": true,
"IsTelemedFormRequired": true,
"ValidFlag": true,
"DateCreated": "2026-06-20T05:51:32.2351673-07:00",
"DateUpdated": "2026-06-20T05:51:32.2351673-07:00",
"UserIDCreated": 15,
"UserIDUpdated": 16,
"CompanyCode": "sample string 17",
"IsExcludeDiscount": true
}
],
"totalCount": 3
}